curl --request GET \
--url https://api.cyberdesk.io/v1/trajectories/{trajectory_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/trajectories/{trajectory_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/trajectories/{trajectory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_approved": true,
"has_been_approved": true,
"is_generated": true,
"is_main": true,
"dimensions": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"trajectory_data": [
{}
],
"original_input_values": {},
"included": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Trajectory
Get a specific trajectory by ID.
The trajectory must belong to the authenticated organization.
Use the include parameter to fetch related resources in the response.
Related resources are returned in the included array following the JSON:API pattern.
Example: ?include=workflow to include the associated workflow data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Comma-separated list of related resources to include. Allowed values: workflow. Example: include=workflow
Response
Successful Response
Trajectory response with optional included related resources.
Display dimensions when trajectory was recorded
Show child attributes
Show child attributes
Original input values used when trajectory was created
Related resources requested via the include query parameter
Show child attributes
Show child attributes
Was this page helpful?